#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libqtxdg
Version		:	3.11.0
Release		:	14.4.0.0%{?dist}
Summary		:	QtXdg, a Qt5 implementation of XDG standards
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/lxqt/libqtxdg/releases

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	lxqt-build-tools
BuildRequires	:	glib-devel
BuildRequires	:	mesa-devel

Requires	:	qt
#-----------------------------------------------------------------------------
%description
%{name} is a Qt 5 implementation of freedesktop.org XDG specifications.   

It is maintained by the LXQt project and nearly all LXQt components are
depending on it. Yet it can be used independently from this desktop
environment, too.   

The library is able to use GTK+ icon theme caches for faster icon lookup.
The cache file can be generated with utility `gtk-update-icon-cache` on
a theme directory. If the cache is not present, corrupted, or outdated,
the normal slow lookup is still run.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS COPYING README.md
%{_sysconfdir}/xdg/lxqt-qtxdg.conf
%{_sysconfdir}/xdg/qtxdg.conf
%{_includedir}/qt5xdg/*
%{_includedir}/qt5xdgiconloader/*
%{_bindir}/qtxdg-*
%{_libdir}/libQt5Xdg*.so*
%{_libdir}/pkgconfig/Qt5Xdg*.pc
%{_datadir}/cmake/qt5xdg*/*.cmake
%{_datadir}/plugins/iconengines/*Plugin.so

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D GLIB_GIO_UNIX_INCLUDE_DIR=%{_includedir}/gio-unix-2.0\
	-D BUILD_DEV_UTILS=ON					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
